Package org.springframework.scheduling.annotation

# Class ProxyAsyncConfiguration

java.lang.Object
org.springframework.scheduling.annotation.AbstractAsyncConfiguration
org.springframework.scheduling.annotation.ProxyAsyncConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `ImportAware`

@Configuration(proxyBeanMethods=false) @Role(2) public class ProxyAsyncConfiguration extends AbstractAsyncConfiguration
`@Configuration` class that registers the Spring infrastructure beans necessary to enable proxy-based asynchronous method execution.

Since:
  3.1
Author:
  Chris Beams, Stephane Nicoll, Juergen Hoeller
See Also:
  - `EnableAsync`
  - `AsyncConfigurationSelector`

## Field Summary

### Fields inherited from class org.springframework.scheduling.annotation.AbstractAsyncConfiguration

`enableAsync, exceptionHandler, executor`

## Constructor Summary

Constructors
Constructor
Description
`ProxyAsyncConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`AsyncAnnotationBeanPostProcessor`
`asyncAdvisor()`

### Methods inherited from class org.springframework.scheduling.annotation.AbstractAsyncConfiguration

`setImportMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyAsyncConfiguration

public ProxyAsyncConfiguration()

## Method Details

### asyncAdvisor

@Bean(name="org.springframework.context.annotation.internalAsyncAnnotationProcessor") @Role(2) public AsyncAnnotationBeanPostProcessor asyncAdvisor()